Bug 1323980 - python2-pydot in F24 should Obsolete pydot from F23
Summary: python2-pydot in F24 should Obsolete pydot from F23
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pydot
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-05 08:54 UTC by Michal Schmidt
Modified: 2016-04-13 21:34 UTC (History)
1 user (show)

Fixed In Version: pydot-1.0.28-10.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 21:34:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Schmidt 2016-04-05 08:54:54 UTC
Description of problem:
The package pydot from F23 is now called python2-pydot in F24, but the Obsoletes is incorrect (python-pydot < 1.0.28-9.fc24 is Obsoleted), so the old pydot is not removed during an upgrade.

Version-Release number of selected component (if applicable):
pydot-1.0.28-9.fc24

How reproducible:
always

Steps to Reproduce:
1. In F23 run:
   dnf system-upgrade download --releasever=24 --allowerasing
2.
3.

Actual results:
Errors after packages are downloaded:

Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/lib/python2.7/site-packages/dot_parser.py from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch
  file /usr/lib/python2.7/site-packages/dot_parser.pyc from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch
  file /usr/lib/python2.7/site-packages/dot_parser.pyo from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch
  file /usr/lib/python2.7/site-packages/pydot.py from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch
  file /usr/lib/python2.7/site-packages/pydot.pyc from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch
  file /usr/lib/python2.7/site-packages/pydot.pyo from install of python2-pydot-1.0.28-9.fc24.noarch conflicts with file from package pydot-1.0.28-7.fc23.noarch


Expected results:
No conflicts. pydot-1.0.28-7.fc23 should be removed in the upgrade transaction.

Comment 1 Fedora Update System 2016-04-08 19:36:07 UTC
pydot-1.0.28-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-330be13c9d

Comment 2 Fedora Update System 2016-04-09 18:51:58 UTC
pydot-1.0.28-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-330be13c9d

Comment 3 Fedora Update System 2016-04-13 21:34:29 UTC
pydot-1.0.28-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.